require("../../../_virtual/_rolldown/runtime.js");
const require_objectSpread2 = require("../../../_virtual/_@oxc-project_runtime@0.122.0/helpers/objectSpread2.js");
const require_objectWithoutProperties = require("../../../_virtual/_@oxc-project_runtime@0.122.0/helpers/objectWithoutProperties.js");
const require_const = require("../const.js");
let _pisell_utils = require("@pisell/utils");
//#region src/components/eftposPay/payo/const.ts
const _excluded = [
	"order_id",
	"name",
	"symbol",
	"amount",
	"mode",
	"number",
	"pay",
	"device",
	"net",
	"client"
];
/**
* @title: payo 步骤信息
* @description:
* @return {*}
* @Author: hongbing.wang
* @Date: 2024-08-12 10:19
*/
const getStep = (mode = require_const.ModeEnum.Pay) => [{
	key: Date.now(),
	title: _pisell_utils.locales.getText("page.eftpos-pay.text.loading")(mode),
	text: _pisell_utils.locales.getText("page.eftpos-pay.text.waiting.processing"),
	warn: "",
	tip: _pisell_utils.locales.getText("page.eftpos-pay.text.processing"),
	status: require_const.StatusEnum.Loading
}];
/**
* @title: 初始化  payo 数据
* @description:
* @Author: hongbing.wang
* @Date: 2024-08-12 10:19
*/
var const_default = (params) => {
	const _ref = params || { mode: require_const.ModeEnum.Pay }, { order_id, name, symbol, amount, mode, number, pay, device, net, client } = _ref, other = require_objectWithoutProperties._objectWithoutProperties(_ref, _excluded);
	return require_objectSpread2._objectSpread2(require_objectSpread2._objectSpread2(require_objectSpread2._objectSpread2(require_objectSpread2._objectSpread2({
		order_id,
		name,
		symbol,
		amount,
		mode,
		eftpos: require_const.EftposEnum.Payo,
		key: Date.now(),
		warn: _pisell_utils.locales.getText("page.eftpos-pay.text.waiting.pay")(mode),
		step: 0,
		type: require_const.PayRouteEnum.Step,
		title: _pisell_utils.locales.getText("page.eftpos-pay.text.loading")(mode),
		component: "",
		status: require_const.StatusEnum.Loading,
		steps: getStep(mode),
		render: true,
		client: client !== "undefined" && client !== void 0 ? client : require_const.ClientEnum.Merchant,
		custom: other || {}
	}, typeof net !== "undefined" ? { net } : {}), typeof number !== "undefined" ? { number } : {}), typeof pay !== "undefined" ? { pay } : {}), typeof device !== "undefined" ? { device } : {});
};
//#endregion
exports.default = const_default;
